ida.h File Reference

Classes for Rabin's Information Dispersal and Shamir's Secret Sharing algorithms. More...

Go to the source code of this file.

## Classes

class | RawIDA
| Secret sharing and information dispersal base class. More...
class | SecretSharing
| Shamir's Secret Sharing Algorithm. More...
class | SecretRecovery
| Shamir's Secret Sharing Algorithm. More...
class | InformationDispersal
| a variant of Rabin's Information Dispersal Algorithm More...
class | InformationRecovery
| Rabin's Information Dispersal Algorithm. More...
class | PaddingRemover

## Detailed Description

Classes for Rabin's Information Dispersal and Shamir's Secret Sharing algorithms.

Definition in file ida.h.